## org.eclipse.datatools.connectivity.oda.design
Enum OdaScalarDataType

    java.lang.Object
      java.lang.Enum<OdaScalarDataType>
          org.eclipse.datatools.connectivity.oda.design.OdaScalarDataType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OdaScalarDataType>, org.eclipse.emf.common.util.Enumerator

    public enum OdaScalarDataType

extends java.lang.Enum<OdaScalarDataType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Oda Scalar Data Type', and utility methods for working with them. ODA scalar data types.

See Also:
  `DesignPackage.getOdaScalarDataType()`

Enum Constant Summary
`BLOB_LITERAL` The 'Blob' literal object.
`BOOLEAN_LITERAL` The 'Boolean' literal object.
`CLOB_LITERAL` The 'Clob' literal object.
`DATE_LITERAL` The 'Date' literal object.
`DECIMAL_LITERAL` The 'Decimal' literal object.
`DOUBLE_LITERAL` The 'Double' literal object.
`INTEGER_LITERAL` The 'Integer' literal object.
`JAVA_OBJECT_LITERAL` The 'Java Object' literal object.
`STRING_LITERAL` The 'String' literal object.
`TIME_LITERAL` The 'Time' literal object.
`TIMESTAMP_LITERAL` The 'Timestamp' literal object.

Field Summary
`static int` `BLOB` The 'Blob' literal value.
`static int` `BOOLEAN` The 'Boolean' literal value.
`static int` `CLOB` The 'Clob' literal value.
`static java.lang.String` `copyright`
`static int` `DATE` The 'Date' literal value.
`static int` `DECIMAL` The 'Decimal' literal value.
`static int` `DOUBLE` The 'Double' literal value.
`static int` `INTEGER` The 'Integer' literal value.
`static int` `JAVA_OBJECT` The 'Java Object' literal value.
`static int` `STRING` The 'String' literal value.
`static int` `TIME` The 'Time' literal value.
`static int` `TIMESTAMP` The 'Timestamp' literal value.
`static java.util.List<OdaScalarDataType>` `VALUES` A public read-only list of all the 'Oda Scalar Data Type' enumerators.

Method Summary
`static OdaScalarDataType` `get(int value)` Returns the 'Oda Scalar Data Type' literal with the specified integer value.
`static OdaScalarDataType` `get(java.lang.String literal)` Returns the 'Oda Scalar Data Type' literal with the specified literal value.
`static OdaScalarDataType` `getByName(java.lang.String name)` Returns the 'Oda Scalar Data Type' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static OdaScalarDataType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OdaScalarDataType[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DATE_LITERAL

    public static final OdaScalarDataType DATE_LITERAL

  The 'Date' literal object.

  See Also:
    `DATE`

### DOUBLE_LITERAL

    public static final OdaScalarDataType DOUBLE_LITERAL

  The 'Double' literal object.

  See Also:
    `DOUBLE`

### INTEGER_LITERAL

    public static final OdaScalarDataType INTEGER_LITERAL

  The 'Integer' literal object.

  See Also:
    `INTEGER`

### STRING_LITERAL

    public static final OdaScalarDataType STRING_LITERAL

  The 'String' literal object.

  See Also:
    `STRING`

### TIME_LITERAL

    public static final OdaScalarDataType TIME_LITERAL

  The 'Time' literal object.

  See Also:
    `TIME`

### TIMESTAMP_LITERAL

    public static final OdaScalarDataType TIMESTAMP_LITERAL

  The 'Timestamp' literal object.

  See Also:
    `TIMESTAMP`

### DECIMAL_LITERAL

    public static final OdaScalarDataType DECIMAL_LITERAL

  The 'Decimal' literal object.

  See Also:
    `DECIMAL`

### BLOB_LITERAL

    public static final OdaScalarDataType BLOB_LITERAL

  The 'Blob' literal object.

  See Also:
    `BLOB`

### CLOB_LITERAL

    public static final OdaScalarDataType CLOB_LITERAL

  The 'Clob' literal object.

  See Also:
    `CLOB`

### BOOLEAN_LITERAL

    public static final OdaScalarDataType BOOLEAN_LITERAL

  The 'Boolean' literal object.

  See Also:
    `BOOLEAN`

### JAVA_OBJECT_LITERAL

    public static final OdaScalarDataType JAVA_OBJECT_LITERAL

  The 'Java Object' literal object.

  See Also:
    `JAVA_OBJECT`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### DATE

    public static final int DATE

  The 'Date' literal value.

  See Also:
    `DATE_LITERAL`, Constant Field Values

### DOUBLE

    public static final int DOUBLE

  The 'Double' literal value.

  See Also:
    `DOUBLE_LITERAL`, Constant Field Values

### INTEGER

    public static final int INTEGER

  The 'Integer' literal value.

  See Also:
    `INTEGER_LITERAL`, Constant Field Values

### STRING

    public static final int STRING

  The 'String' literal value.

  See Also:
    `STRING_LITERAL`, Constant Field Values

### TIME

    public static final int TIME

  The 'Time' literal value.

  See Also:
    `TIME_LITERAL`, Constant Field Values

### TIMESTAMP

    public static final int TIMESTAMP

  The 'Timestamp' literal value.

  See Also:
    `TIMESTAMP_LITERAL`, Constant Field Values

### DECIMAL

    public static final int DECIMAL

  The 'Decimal' literal value.

  See Also:
    `DECIMAL_LITERAL`, Constant Field Values

### BLOB

    public static final int BLOB

  The 'Blob' literal value.

  See Also:
    `BLOB_LITERAL`, Constant Field Values

### CLOB

    public static final int CLOB

  The 'Clob' literal value.

  See Also:
    `CLOB_LITERAL`, Constant Field Values

### BOOLEAN

    public static final int BOOLEAN

  The 'Boolean' literal value.

  If the meaning of 'Boolean' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BOOLEAN_LITERAL`, Constant Field Values

### JAVA_OBJECT

    public static final int JAVA_OBJECT

  The 'Java Object' literal value.

  If the meaning of 'Java Object' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JAVA_OBJECT_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<OdaScalarDataType> VALUES

  A public read-only list of all the 'Oda Scalar Data Type' enumerators.

Method Detail

### values

    public static final OdaScalarDataType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(OdaScalarDataType c : OdaScalarDataType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static OdaScalarDataType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static OdaScalarDataType get(java.lang.String literal)

  Returns the 'Oda Scalar Data Type' literal with the specified literal value.

### getByName

    public static OdaScalarDataType getByName(java.lang.String name)

  Returns the 'Oda Scalar Data Type' literal with the specified name.

### get

    public static OdaScalarDataType get(int value)

  Returns the 'Oda Scalar Data Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<OdaScalarDataType>`